# Interface ITableOptions

#### Hierarchy

- ITableOptions

- Defined in src/file/table/table.ts:23

#####
Index

### Properties

alignment?
borders?
columnWidths?
float?
indent?
layout?
margins?
rows
style?
visuallyRightToLeft?
width?

## Properties

### `Optional` `Readonly` alignment

alignment?: AlignmentType

- Defined in src/file/table/table.ts:33

### `Optional` `Readonly` borders

borders?: ITableBordersOptions

- Defined in src/file/table/table.ts:32

### `Optional` `Readonly` columnWidths

columnWidths?: readonly number[]

- Defined in src/file/table/table.ts:26

### `Optional` `Readonly` float

float?: ITableFloatOptions

- Defined in src/file/table/table.ts:29

### `Optional` `Readonly` indent

indent?: ITableWidthProperties

- Defined in src/file/table/table.ts:28

### `Optional` `Readonly` layout

layout?: TableLayoutType

- Defined in src/file/table/table.ts:30

### `Optional` `Readonly` margins

margins?: ITableCellMarginOptions

- Defined in src/file/table/table.ts:27

### `Readonly` rows

rows: readonly TableRow[]

- Defined in src/file/table/table.ts:24

### `Optional` `Readonly` style

style?: string

- Defined in src/file/table/table.ts:31

### `Optional` `Readonly` visuallyRightToLeft

visuallyRightToLeft?: boolean

- Defined in src/file/table/table.ts:34

### `Optional` `Readonly` width

width?: ITableWidthProperties

- Defined in src/file/table/table.ts:25

Generated using TypeDoc